Skip to content

getItemReplenishment

READ

Get item replenishment.

POST /api/v1/items/getItemReplenishment
curl -X POST '<your-host>/api/v1/items/getItemReplenishment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'
Response
{
  "companyId": "string",
  "conversionFactor": 0,
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "itemId": "string",
  "leadTime": 0,
  "lotSize": 0,
  "manufacturingBlocked": true,
  "preferredSupplierId": "string",
  "purchasingBlocked": true,
  "purchasingUnitOfMeasureCode": "string",
  "requiresConfiguration": true,
  "scrapPercentage": 0,
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    }
  },
  "required": [
    "itemId"
  ]
}